---
updatedAt: 2025-05-22T20:26:50.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Token Category

The Get Token Category API allows you to easily fetch the token category list

## Definition

This endpoint retrieves a list of available token categories, providing users with a comprehensive overview of different types of tokens. It helps in understanding and filtering tokens based on their specific categories.

## Query Parameters

*This API currently has no query parameters. If in the future, there are demands for specific filters or parameters, we will improve and update the API accordingly.*

## Response

The response will include a JSON object containing an array of token categories. Each category entry will include details such as the category name and a brief description.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/token/category": {
      "get": {
        "summary": "Get Token Category",
        "description": "The Get Token Category API allows you to easily fetch the token category list",
        "operationId": "get-token-category",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Succeed": {
                    "value": "{\n  \"success\": true,\n  \"data\": [\n    \"Currency\"\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Currency"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```